package com.ruoyi.project.affair.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.affair.mapper.TPpeMapper;
import com.ruoyi.project.affair.domain.TPpe;
import com.ruoyi.project.affair.service.ITPpeService;

import javax.annotation.Resource;

/**
 * PPE发放登记Service业务层处理
 *
 * @author ruoyi
 * @date 2020-12-02
 */
@Service
public class TPpeServiceImpl implements ITPpeService
{
    @Resource
    private TPpeMapper tPpeMapper;

    /**
     * 查询PPE发放登记
     *
     * @param id PPE发放登记ID
     * @return PPE发放登记
     */
    @Override
    public TPpe selectTPpeById(Long id)
    {
        return tPpeMapper.selectTPpeById(id);
    }

    /**
     * 查询PPE发放登记列表
     *
     * @param tPpe PPE发放登记
     * @return PPE发放登记
     */
    @Override
    public List<TPpe> selectTPpeList(TPpe tPpe)
    {
        return tPpeMapper.selectTPpeList(tPpe);
    }

    /**
     * 定时任务查询PPE发放登记列表
     *
     * @param tPpe PPE发放登记
     * @return PPE发放登记集合
     */
    @Override
    public List<TPpe> selectList(TPpe tPpe) {
        return tPpeMapper.selectList(tPpe);
    }

    /**
     * 新增PPE发放登记
     *
     * @param tPpe PPE发放登记
     * @return 结果
     */
    @Override
    public int insertTPpe(TPpe tPpe)
    {
        return tPpeMapper.insertTPpe(tPpe);
    }

    /**
     * 修改PPE发放登记
     *
     * @param tPpe PPE发放登记
     * @return 结果
     */
    @Override
    public int updateTPpe(TPpe tPpe)
    {
        return tPpeMapper.updateTPpe(tPpe);
    }

    /**
     * 批量删除PPE发放登记
     *
     * @param ids 需要删除的PPE发放登记ID
     * @return 结果
     */
    @Override
    public int deleteTPpeByIds(Long[] ids)
    {
        return tPpeMapper.deleteTPpeByIds(ids);
    }

    /**
     * 删除PPE发放登记信息
     *
     * @param id PPE发放登记ID
     * @return 结果
     */
    @Override
    public int deleteTPpeById(Long id)
    {
        return tPpeMapper.deleteTPpeById(id);
    }
}
